.container {
    max-width: 1960px;
    padding: 0 80px;
    margin: 0 auto;

    @media (max-width: 1440px) {
        padding: 0 30px;
    }

    @media (max-width: 768px) {
        padding: 0 20px;
    }

    @media (max-width: 425px) {
        padding: 0 15px;
    }
}

section {
    &:first-child {
        padding-top: 240px;
    }

    padding-top: 100px;
    padding-bottom: 100px;

    @media (max-width: 1440px) {
        &:first-child {
            padding-top: 190px;
        }
    
        padding-top: 80px;
        padding-bottom: 80px;
    }

    @media (max-width: 768px) {
        &:first-child {
            padding-top: 110px;
        }
    
        padding-top: 64px;
        padding-bottom: 64px;
    }

    @media (max-width: 576px) {
        padding-top: 51px;
        padding-bottom: 51px;
    }

    @media (max-width: 425px) {
        padding-top: 40px;
        padding-bottom: 40px;
    }
}

.section__title {
    @include sectionTitle;
}

.block__title {
    @include blockTitle;
}

.block__text {
    @include blockText;
}


// preloader // 

.preloader {
    background-image: url('../images/main/loader.png');
    background-repeat: no-repeat;
    background-position: center;
    background-color: $royalBlue;
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    z-index: 100;
    
    @media (max-width: 576px) {
        background-image: url('../images/main/loader-mini.png');
    }
    
}

.loaded_hiding .preloader {
    transition: 0.3s opacity;
    opacity: 0;
  }

.loaded .preloader {
    display: none;
}


